Method: projects.locations.authProviders.authorizations.list

Lists authorizations in a given project and location.

HTTP request

GET https://agentidentity.googleapis.com/v1beta/{parent=projects/*/locations/*/authProviders/*}/authorizations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where the search is performed. Format: projects/{project}/locations/{location}/authProviders/{authProvider}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. The maximum page size is 1000.

pageToken

string

Optional. A page token, received from a previous authorizations.list call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to authorizations.list must match the call that provided the page token.

filter

string

Optional. Filter string to restrict the results. Currently supports filtering by clientUserId only. Format: clientUserId="<value>"

orderBy

string

Optional. This field is currently ignored. Defaults to ordering by authorization_id in ascending order.

Request body

The request body must be empty.

Response body

Response message for authorizations.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "authorizations": [
    {
      object (Authorization)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
authorizations[]

object (Authorization)

The list of authorizations.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentidentity.authorizations.list

For more information, see the IAM documentation.